### Method

# FwupdPlugin Device get_backend

since: 2.0.0

#### Declaration [src]

    FuBackend*
    fu_device_get_backend (
      FuDevice* self
    )

#### Description [src]

Gets the backend, if set with fu_device_set_backend().

Available since: 2.0.0

Gets property | `FwupdPlugin.Device:backend`

#### Return value

Type: `FuBackend`

A `FuBackend` or `NULL` if not sset.

The data is owned by the instance.